import { JavaObject } from '../../../java/lang/JavaObject';
import { List } from '../../../java/util/List';
export declare class AbschlussErgebnis extends JavaObject {
    erworben: boolean;
    abschluss: String | null;
    npFaecher: List<String> | null;
    log: List<String> | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): AbschlussErgebnis;
    static transpilerToJSON(obj: AbschlussErgebnis): string;
    static transpilerToJSONPatch(obj: Partial<AbschlussErgebnis>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_abschluss_AbschlussErgebnis(obj: unknown): AbschlussErgebnis;
